## org.gnu.gtk
Class Clipboard

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gtk.Clipboard

public class Clipboard
extends Boxed

The Clipboard object represents a clipboard of data shared between different processes or between different widgets in the same process.

TODO: This requires gdk.Selections

TODO: callback functions

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`protected` `Clipboard(Handle handle)`

Method Summary
`void` `clear()` Clear the contents of the clipboard.
`static Clipboard` `get(Atom atom)` Returns the clipboard object for the given selection.
`SelectionData` `getContents(Atom atom)` Requests the contents of the clipboard as `SelectionData`
`Display` `getDisplay()` Gets the `Display` associated with clipboard.
`static Clipboard` `getForDisplay(Display display, Atom atom)`
`Pixbuf` `getImage()`
`java.lang.String` `getText()` Requests the contents of the clipboard as text.
`protected static void` `gtk_clipboard_clear(Handle clipboard)`
`protected static Handle` `gtk_clipboard_get_display(Handle clipboard)`
`protected static Handle` `gtk_clipboard_get_owner(Handle clipboard)`
`protected static Handle` `gtk_clipboard_get(Handle selection)`
`protected static void` `gtk_clipboard_set_can_store(Handle clipboard, Handle[] targets)`
`protected static void` `gtk_clipboard_set_image(Handle clipboard, Handle pixbuf)`
`protected static void` `gtk_clipboard_set_text(Handle clipboard, java.lang.String text, int len)`
`protected static void` `gtk_clipboard_store(Handle clipboard)`
`protected static Handle` `gtk_clipboard_wait_for_image(Handle clipboard)`
`protected static java.lang.String` `gtk_clipboard_wait_for_text(Handle clipboard)`
`protected static boolean` `gtk_clipboard_wait_is_image_available(Handle clipboard)`
`protected static boolean` `gtk_clipboard_wait_is_target_available(Handle clipboard, Handle target)`
`protected static boolean` `gtk_clipboard_wait_is_text_available(Handle clipboard)`
`boolean` `isImageAvailable()`
`boolean` `isTextAvailable()`
`void` `setCanStore(TargetEntry[] targets)`
`void` `setImage(Pixbuf pixbuf)`
`void` `setText(java.lang.String text)` Set the contents of the clipboard.
`void` `store()`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Clipboard

    protected Clipboard(Handle handle)

Method Detail

### clear

    public void clear()

  Clear the contents of the clipboard.

### get

    public static Clipboard get(Atom atom)

  Returns the clipboard object for the given selection. See `getForDisplay(Display, Atom)` for complete details.

  Parameters:
    `atom` - a `Atom` which identifies the clipboard to use
  Returns:
    the appropriate clipboard object. If no clipboard already exists, a new one will be created. Once a clipboard object has been created, it is persistent for all time and cannot be freed.

### getForDisplay

    public static Clipboard getForDisplay(Display display,
                                          Atom atom)

  Parameters:
    `display` - the display for which the clipboard is to be retrieved or created
    `atom` - a `Atom` which identifies the clipboard to use
  Returns:
    he appropriate clipboard object. If no clipboard already exists, a new one will be created. Once a clipboard object has been created, it is persistent for all time and cannot be freed. TODO: write JNI

### getDisplay

    public Display getDisplay()

  Gets the `Display` associated with clipboard.

  Returns:
    the `Display` associated with clipboard

### getContents

    public SelectionData getContents(Atom atom)

  Requests the contents of the clipboard as `SelectionData`

  Parameters:
    `atom` - an `Atom` representing the form into which the clipboard owner should convert the selection
  Returns:
    a newly-allocated `SelectionData` object or `NULL` if retrieving the given target failed TODO: write the JNI

### isTextAvailable

    public boolean isTextAvailable()

### isImageAvailable

    public boolean isImageAvailable()

### setText

    public void setText(java.lang.String text)

  Set the contents of the clipboard.

### getText

    public java.lang.String getText()

  Requests the contents of the clipboard as text.

### setImage

    public void setImage(Pixbuf pixbuf)

### getImage

    public Pixbuf getImage()

### setCanStore

    public void setCanStore(TargetEntry[] targets)

### store

    public void store()

### gtk_clipboard_get

    protected static final Handle gtk_clipboard_get(Handle selection)

### gtk_clipboard_get_display

    protected static final Handle gtk_clipboard_get_display(Handle clipboard)

### gtk_clipboard_get_owner

    protected static final Handle gtk_clipboard_get_owner(Handle clipboard)

### gtk_clipboard_clear

    protected static final void gtk_clipboard_clear(Handle clipboard)

### gtk_clipboard_set_text

    protected static final void gtk_clipboard_set_text(Handle clipboard,
                                                       java.lang.String text,
                                                       int len)

### gtk_clipboard_set_image

    protected static final void gtk_clipboard_set_image(Handle clipboard,
                                                        Handle pixbuf)

### gtk_clipboard_wait_for_text

    protected static final java.lang.String gtk_clipboard_wait_for_text(Handle clipboard)

### gtk_clipboard_wait_for_image

    protected static final Handle gtk_clipboard_wait_for_image(Handle clipboard)

### gtk_clipboard_wait_is_text_available

    protected static final boolean gtk_clipboard_wait_is_text_available(Handle clipboard)

### gtk_clipboard_wait_is_image_available

    protected static final boolean gtk_clipboard_wait_is_image_available(Handle clipboard)

### gtk_clipboard_wait_is_target_available

    protected static final boolean gtk_clipboard_wait_is_target_available(Handle clipboard,
                                                                          Handle target)

### gtk_clipboard_set_can_store

    protected static final void gtk_clipboard_set_can_store(Handle clipboard,
                                                            Handle[] targets)

### gtk_clipboard_store

    protected static final void gtk_clipboard_store(Handle clipboard)